#!/bin/bash

prog="$1"
if (($# > 1)); then
	valgrind --vgdb-error=0 $prog < $2 &
else
	valgrind --vgdb-error=0 $prog &
fi
valgrind_pid=$!
gdb --eval-command="target remote | vgdb --pid=$valgrind_pid" $prog
kill -9 $valgrind_pid >/dev/null 2>&1 
